Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class OEventHandler.OEvent

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.OBase
          org.apache.ode.bpel.rtrep.v2.OAgent
              org.apache.ode.bpel.rtrep.v2.OActivity
                  org.apache.ode.bpel.rtrep.v2.OScope
                      org.apache.ode.bpel.rtrep.v2.OEventHandler.OEvent

All Implemented Interfaces:
  java.io.Serializable, ActivityModel, ScopeModel

Enclosing class:
  OEventHandler

    public static class OEventHandler.OEvent

extends OScope

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.rtrep.v2.OScope
`OScope.CorrelationSet, OScope.Variable`

Field Summary
`java.util.List<OScope.CorrelationSet>` | `initCorrelations` Correlations to initialize.
`OScope.CorrelationSet` | `matchCorrelation` Correlation set to match on.
`java.lang.String` | `messageExchangeId` OASIS addition for disambiguating receives (optional).
`javax.wsdl.Operation` | `operation`
`OPartnerLink` | `partnerLink`
`OScope.Variable` | `variable`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OScope
`activity, atomicScope, compensatable, compensationHandler, correlationSets, eventHandler, faultHandler, implicitScope, inboundMessageChildActivity, isolatedScope, name, partnerLinks, terminationHandler, variables`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OActivity
`failureHandling, joinCondition, sourceLinks, suppressJoinFailure, targetLinks`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OAgent
`incomingLinks, nested, outgoingLinks, variableRd, variableWr`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`debugInfo`

Constructor Summary
`OEventHandler.OEvent(OProcess owner, OActivity parent)`

Method Summary
`java.lang.String` | `getCorrelatorId()`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OScope
`addCorrelationSet, addLocalVariable, getActivity, getCorrelationSet, getLocalPartnerLink, getLocalVariable, getVisiblePartnerLink, getVisibleVariable, isInAtomicScope, toString`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OActivity
`getFailureHandling, getParent, getType, setFailureHandling`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### initCorrelations

    public final java.util.List<OScope.CorrelationSet> initCorrelations

  Correlations to initialize.

### matchCorrelation

    public OScope.CorrelationSet matchCorrelation

  Correlation set to match on.

### partnerLink

    public OPartnerLink partnerLink

### operation

    public javax.wsdl.Operation operation

### variable

    public OScope.Variable variable

### messageExchangeId

    public java.lang.String messageExchangeId

  OASIS addition for disambiguating receives (optional).

Constructor Detail

### OEventHandler.OEvent

    public OEventHandler.OEvent(OProcess owner,
                                OActivity parent)

Method Detail

### getCorrelatorId

    public java.lang.String getCorrelatorId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD